Bug 478246 - Connection Editor browser won't time out if search request is not replied
Connection Editor browser won't time out if search request is not replied
Status: ON_QA
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:11 EST by Chandrasekar Kannan
Modified: 2017-05-15 17:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:11:53 EST
This is a startup configuration with only the intial use of the LDAP proxy wizard to set up a partition, connection and source. The connection tested successful and the target server can be browsed using the Studio browser tool. However, if the browser tab is selected under the connection editor window the application freezes. I ran a wireshark capture and noticed that the target server is not replying to the search request. it appears that the connection editor browser does not timeout and just infinitely continous to wait for the search reply. I ran wireshark using the browser tool and noticed some differences in the derefAliases, attributes and control values. My speculation at this point is that the target LDAP server, which is an appliance and cannot have any parameters changed, does not support  any derefAliases arguments other than neverDerefAliases. The browser window under the connection editor tab is setting this value to derefAlways. IAs a work around is there any way I can change the derefAliases and other parameters on the browser client used by the connection editor?

Thanks in advance...
Additional Comments From hpina dated Wed Feb 06 13:20:41 CST 2008 
I am new with this application so please pardon my lack of user knowledge. I have since figured out how to set the derefAliases value to never and can see the change. Now my suspision is that the target server is not reply ing to the search request since the scope is set to Object. Under the sources folder I changed the level to ONELEVEL but the request goes out as baseObject. Do I need to set the level somewhere else?


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'reporter' => 'hpina',
          'key' => 'PENROSE-281',
          'assignee' => 'jimyang',
          'summary' => 'Connection Editor browser won't time out if search request is not replied',
          'id' => '10970',
          'updated' => '2008-02-06 13:20:41.0',
          'votes' => '0',
          'fixVersions' => [],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2007-07-17 00:00:00.0',
                                 'sequence' => '26',
                                 'name' => 'Penrose-1.2.4',
                                 'released' => 'true',
                                 'id' => '10123',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'This is a startup configuration with only the intial use of the LDAP proxy wizard to set up a partition, connection and source. The connection tested successful and the target server can be browsed using the Studio browser tool. However, if the browser tab is selected under the connection editor window the application freezes. I ran a wireshark capture and noticed that the target server is not replying to the search request. it appears that the connection editor browser does not timeout and just infinitely continous to wait for the search reply. I ran wireshark using the browser tool and noticed some differences in the derefAliases, attributes and control values. My speculation at this point is that the target LDAP server, which is an appliance and cannot have any parameters changed, does not support  any derefAliases arguments other than neverDerefAliases. The browser window under the connection editor tab is setting this value to derefAlways. IAs a work around is there any way I can change the derefAliases and other parameters on the browser client used by the connection editor?

Thanks in advance...',
          'created' => '2008-02-06 10:26:16.0',
          'environment' => 'Windows XP ',
          'type' => '1'
        };


=========================================================
Comment 1 Endi Sukma Dewata 2009-02-05 13:05:26 EST
We need this information:
- the configuration files
- the query that was sent to the server

Note You need to log in before you can comment on or make changes to this bug.